#!/usr/bin/env python3
"""
Runner script for VoxPop AI Analysis Service.
"""

import os
import sys
import uvicorn

# Add the current directory to the path so that Python can find the app module
sys.path.insert(0, os.path.abspath(os.path.dirname(__file__)))

if __name__ == "__main__":
    # Create insights directory
    os.makedirs("insights", exist_ok=True)
    
    # Run the app
    uvicorn.run("app.main:app", host="0.0.0.0", port=8000, reload=True) 